var endpoint = require("notebook")("tonic/json-endpoint/1.0.0")

var requestPromise = require("request-promise")
var cheerio = require("cheerio")

endpoint(module.exports, async function(request)
{
    try {
        var html = await requestPromise(request.query.url)
        var page = cheerio.load(html)
    } catch(e) {
        return {error: "could not retrieve page"}
    }

    return {
        title: page("title").text() || "no title"
    }
});
